-- === SAVE POINT ===
dofile("scripts/entities/entityinclude.lua")

function init(me)
	setupConversationEntity(me, "save-point", "save-point")
	entity_setActivation(me, AT_CLICK, 80, 256)
end

function activate(me)
	pause()
	if isMapName("VedhaCave") then
		savePoint(me)
		if getStory()>=1 and getFlag("usedMemoryCrystal")==0 then
			setFlag("usedMemoryCrystal", 1)
		end
	elseif isMapName("MemoryCave") then
		if getFlag("MemoryCaveSavePointScene")==3 then
			savePoint(me)
		elseif getFlag("MemoryCaveSavePointScene")==2 then
			-- naija activating memory crystal while trapped / escaping memory cave
			-- should do nothing (or offer a hint?)
		elseif getFlag("MemoryCaveSavePointScene")==1 then
			simpleConversation("MemoryCave_ghost")
			learnSpell(2)
			--entityFollowEntity("Drask", "Naija")
			entity_followEntity(getEntity("Drask"), getEntity("Naija"))
			-- setEntityScript("Drask", "");
			setFlag("Drask1", 2)
			setFlag("VedhaCave1", 8)
			setFlag("MemoryCaveSavePointScene", 2)
		elseif getFlag("MemoryCaveSavePointScene")==0 then
			savePoint(me)
		end
	else
		savePoint(me);
	end
	unpause()
end

function update(me, dt)
end

function enterState(me)
end

function exitState(me)
end